Skip to main content
GET
/
issues
/
{issue_id}
Get details about one issue
curl --request GET \
  --url https://api.chift.eu/issues/{issue_id} \
  --header 'Authorization: Bearer <token>'
{
  "id": "<string>",
  "consumer_id": "<string>",
  "connection_id": "<string>",
  "integration_id": 123,
  "integration_name": "<string>",
  "created_on": "2023-11-07T05:31:56Z",
  "updated_on": "2023-11-07T05:31:56Z",
  "last_seen": "2023-11-07T05:31:56Z",
  "error": {
    "error_code": "<string>",
    "status": "<string>",
    "title": "<string>",
    "description": "<string>"
  },
  "occurrences": 123,
  "events": []
}

Documentation Index

Fetch the complete documentation index at: https://docs.chift.eu/llms.txt

Use this file to discover all available pages before exploring further.

Authorizations

Authorization
string
header
required

This access token needs to be included in each of your request to the Chift API.

Path Parameters

issue_id
string
required

Query Parameters

last_execution_only
boolean
default:false

If true, only the events related to the last execution will be returned in the list of events.

Response

Successful Response

id
string
required
consumer_id
string
required
connection_id
string
required
integration_id
integer
required
integration_name
string
required
created_on
string<date-time>
required
updated_on
string<date-time>
required
last_seen
string<date-time>
required
error
ErrorInfo · object
required
occurrences
integer
required
level
enum<string>
required
Available options:
error,
warning
events
IssueEvent · object[]